package com.yidian.shenghuoquan.bpush.push

import com.yidian.shenghuoquan.bpush.constant.Constant
import timber.log.Timber

class PushSdkManager {
  private val pushPolicy:PushPolicy
  constructor(pushPolicy: PushPolicy) {
    this.pushPolicy = pushPolicy
  }

  public fun initSpecealSdk() {
      pushPolicy.initPushSdk()
  }

  public fun pushMessage(message:String) {
    pushPolicy.pubMessage(message)
  }

  public fun pushStatus():Int {
    return pushPolicy.pushStatus
  }
}
