package com.yidian.shenghuoquan.bpush.push.huaweipush

import com.huawei.agconnect.config.AGConnectServicesConfig
import com.huawei.hms.aaid.HmsInstanceId
import com.yidian.shenghuoquan.bpush.app.BPushApplication
import com.yidian.shenghuoquan.bpush.constant.Constant
import com.yidian.shenghuoquan.bpush.push.PushPolicy
import timber.log.Timber

class HuaWeiPushPolicy: PushPolicy() {
  override fun initPushSdk() {
    Thread(object: Runnable {
      override fun run() {
        val appId = AGConnectServicesConfig.fromContext(BPushApplication.context).getString("client/app_id")
        val token = HmsInstanceId.getInstance(BPushApplication.context).getToken(appId, "HCM")
        Timber.tag("HuaWeiPushPolicy").i("token is $token")
        pushStatus = Constant.pushConnected
        //update token to server
      }
    }).start()
  }

  override fun pubMessage(message: String) {
    TODO("Not yet implemented")
  }
}
