package com.yidian.shenghuoquan.bpush.push.vivopush.receiver

import android.content.BroadcastReceiver
import android.content.Context
import android.content.Intent
import com.vivo.push.model.UnvarnishedMessage
import com.vivo.push.sdk.OpenClientPushMessageReceiver
import timber.log.Timber

class VivoPushMessageReiceiver : OpenClientPushMessageReceiver() {
  override fun onReceiveRegId(context: Context?, regId: String?) {
    super.onReceiveRegId(context, regId)
    Timber.tag("VivoPushMessage").i("get regId success $regId")
  }

  override fun onTransmissionMessage(context: Context?, unvarnishedMessage: UnvarnishedMessage?) {
    super.onTransmissionMessage(context, unvarnishedMessage)
    Timber.tag("VivoPushMessage").i("get message ${unvarnishedMessage?.message}")
  }
}
