package com.yidian.shenghuoquan.bpush.service

import com.yidian.bcommon.services.ZapServiceActionConstants
import com.yidian.shenghuoquan.bpush.app.BPushApplication
import com.yidian.shenghuoquan.bpush.base.BPush
import com.yidian.shenghuoquan.bpush.constant.BrandConstant
import com.yidian.shenghuoquan.bpush.constant.Constant
import com.yidian.shenghuoquan.bpush.push.*
import com.yidian.shenghuoquan.bpush.push.huaweipush.HuaWeiPushPolicy
import com.yidian.shenghuoquan.bpush.push.mipush.MiPushPolicy
import com.yidian.shenghuoquan.bpush.push.oppopush.OppoPushPolicy
import com.yidian.shenghuoquan.bpush.push.umengpush.UmengPushPolicy
import com.yidian.shenghuoquan.bpush.push.vivopush.ViVoPushPolicy
import com.yidian.shenghuoquan.bpush.utils.SystemUtil
import com.yidian.xarc.xrouter.ResultResolver
import com.yidian.yac.core.zap.ZapService
import org.json.JSONObject
import timber.log.Timber

class PushService : ZapService() {
  private val TAG = "PushService"
  private lateinit var resolver: ResultResolver
  private lateinit var pushSdkManager: PushSdkManager
  override fun onAction(path: String, action: String, params: Any, options: Any, resolver: ResultResolver) {
    Timber.tag("PushService").i("action is " + action)
    this.resolver = resolver
    params as JSONObject
    when(action) {
      ZapServiceActionConstants.ActionPushMessage -> pushMessage(params.toString())
      ZapServiceActionConstants.ActionInitPushService -> {

      }
    }
  }

  override fun onExit() {
  }

  override fun onInit() {
    Timber.tag(TAG).i("onInit")
  }

  private fun pushMessage(message:String) {
    Timber.tag("PushService").i(message)
//    pushSdkManager?.pushMessage(message)
  }


}
